+++
fragment = "content"
date = "2014-12-11"
weight = 100

title = "Docs clutter-gst-2.0"
+++

# ClutterGst and GStreamer 1.0

## Spec

Make sure all clutter-gst functionality is ported to GStreamer 1.0. More
details in <https://bugs.chaiwala.collabora.co.uk/show_bug.cgi?id=915>

## Requirements

clutter-gst latest unstable version (1.9.92)

## Features supported

For more details on features check:

[`Docs/clutter-camera`]( {{< ref "/docs/clutter-camera.md" >}} )
[`Docs/clutter-caching`]( {{< ref "/docs/clutter-caching.md" >}} )

## Source

The source can be found at
<http://cgit.collabora.com/git/user/andrunko/clutter-gst.git/tree/?h=all-changes>

## Issues

\- Currently the camera changes won't work against GStreamer 1.0 due to
the following bugs:

` `<https://bugzilla.gnome.org/show_bug.cgi?id=682770>