+++
fragment = "content"
date = "2017-10-23"
weight = 100

title = "QA Test Cases clutter-actors-bigger-reactive-area"
+++

{{ TestCase | id = clutter-actors-bigger-reactive-area | type =
Functional | execution_type = Manual | target = Any | state =
deprecated | description=Test that Clutter allows an actor's pick area
to be larger than its paint area. | resources=

  - A monitor.
  - An input device (touchscreen or mouse).

| preconditions = {{ EnablePackageRepositories |development}} {{
InstallDependencies |chaiwala-tests}} | execution =

1.  Execute the test program:
      -

            DISPLAY=:0 /usr/lib/chaiwala-tests/clutter-bigger-reactive-area/clutter-bigger-reactive-area-test
2.  Three buttons should be drawn on the stage.
3.  Try to click the buttons, they should accept events slightly outside
    their visible boundaries.

| results =

  - The button pressed should be triggered even if the user doesn't
    click directly on it. Its color will be printed to the controlling
    terminal.

}}