+++
fragment = "content"
date = "2017-10-23"
weight = 100

title = "QA Test Cases clutter-live-stream-2.0"
+++

{{ TestCase | id = clutter-live-media-2.0 | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description= Test clutter-gst live media improvements support against
gstreamer 1.0. | resources=

  - A monitor.
  - <http://www.ioncannon.net/examples/vp8-webm/big_buck_bunny_480p.webm>
  - <rtsp://media.smart-streaming.com/mytest/mp4:BigBuckBunny_175k.mov>

| preconditions = {{ InstallDependencies |libclutter-gst-3.0-tests }} |
execution =

1.  Run the video player example for each URL in resources:
      -

            /usr/lib/i386-linux-gnu/clutter-gst-3.0/examples/video-player <url>
2.  To close the player window and test the next URL, press `q`.

| results =

  - When launching the video player, a message will be printed to stdout
    indicating whether the playing uri is a live media.
      - For the http URL, it should print `Playing non-live media`
      - For the rtsp URL, it should print `Playing live media`
  - The window may not play back any video since the required codecs are
    not installed. This is expected and is perfectly fine since decoding
    of video is not relevant to the test.

}}