+++
fragment = "content"
date = "2018-06-25"
weight = 100

title = "QA Test Cases connman-usb-tethering"
+++

{{ TestCase | id = connman-usb-tethering | type = Functional | priority
= Medium | execution_type = Manual | target = Any | description=Test
ConnMan support for USB tethering (connection side). | resources =

  - Another device supporting USB tethering.
  - An USB cable.

| preconditions=

1.  Connect the remote device to an Internet connection.

| execution =

1.  Enable USB tethering on the remote device.
2.  Connect the USB cable from the remote device to the system.
3.  Connect to the service:
      -

            /usr/lib/chaiwala-tests/connman/connman-test-service.py

| results =

  - The service will show as a Ethernet device, and its hash will
    reflect the mac address of the Ethernet device created.
  - If connections succeeds and you are able to navigate on the internet
    then it works.

| notes =

  - If you are tethering to an android (4.1) device you need to enable
    USB mass storage mode for the tethering option to become available.

}}