+++
fragment = "content"
date = "2018-11-19"
weight = 100

title = "QA Test Cases library-modules"
+++

{{ TestCase | id = library-modules | type = Unit | Functional |
Performance | Reliability | Usability | execution_type = Automated |
lava = Integrated | image = Any | Development | SDK | Target | target =
Any | VirtualBox | X86 Reference | i.MX6 Sabrelite | i.MX53 |
<other specific device> | priority = See below | state = final |
description = This test case is intended to be used as reference for
some of the development library automated tests. Library list:

  - canterbury - Critical
  - didcot - Medium
  - frome - Low
  - newport - Medium
  - ribchester - Critical
  - rhosydd - Medium
  - traprain - Medium

Replace <modules> in this test case instructions by the library name
from the above list. | preconditions =

1.  Instructions to setup the test are available in the `install`
    section from its test definition file at:
      -

            https://git.apertis.org/cgit/apertis-tests.git/tree/modules/<modules>.yaml

| execution =

1.  Instructions to execute the test are available in the `run` section
    from its test definition file at:
      -

            https://git.apertis.org/cgit/apertis-tests.git/tree/modules/<modules>.yaml

| results =

  - All tests should pass (`ok`). The output should be similar to:

<!-- end list -->

    test.name0...ok
    test.name1...ok
    test.name2...ok
    test.nameN...ok

}}