+++
fragment = "content"
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-ac-3d-rendering"
+++

{{ TestCase | id = webkit-ac-3d-rendering | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description=Test that 3D transforms are applied correctly. | resources=

  - A monitor connected to the testing target.

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |webkit-clutter-test-data}} | execution =

1.  Run the MxLauncher with one of the URLs listed in the resources
    section as argument:
      -

            /usr/lib/webkit-clutter-0/libexec/MxLauncher \
            :          file:///usr/share/webkit_clutter-0/testing/LayoutTests/transforms/3d/hit-testing/rotated-hit-test2.html
2.  Verify rendering matches one of the two references bellow

| results =

  - This test shows 4 squares with 3D rotation, they should look like
    they have depth; see the correct image and what it would look like
    if 3D rendering was not working bellow:

![<File:3d-rendering-reference.png>](/images/3d-rendering-reference.png)
}}