+++
fragment = "content"
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-ac-scrolling"
+++

{{ TestCase | id = webkit-ac-scrolling | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description=Test that actors created for representing layers scroll
properly. | resources=

  - A monitor connected to the testing target.
  - A mouse or touchscreen

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |webkit-clutter-test-data}} | execution =

1.  Run the MxLauncher telling it to use 400x400 and loading the test
    page:
      -

            env CLUTTER_PAINT=paint-volumes /usr/lib/webkit-clutter-0/libexec/MxLauncher \
            :    -g 400x400 file:///usr/share/webkit_clutter-0/testing/LayoutTests/compositing/scroll-painted-composited-content.html
2.  Scroll the page to the left until you can see the GraphicsLayerActor
    border, verify that it scrolls along with the text above it.

| results =

  - After the test page is loaded, the border of the GraphicsLayerActor
    must scroll in sync with the rest of the content as shown in the
    following video:
    [AC-scrolling.ogv](https://secure-automotive-cloud.org/static/AC-scrolling.ogv)

}}