+++
fragment = "content"
date = "2018-07-13"
weight = 100

title = "Template:DownloadTestData"
+++

<includeonly>

#### Download Test Data

1.  From a PC, download and unpack the test data tarball from the gitlab
    test repository: **
      -
        {{\#tag:pre|wget }}
        {{\#tag:pre|tar -xvf }}
2.  Copy the ** to the device:
      -
        {{\#tag:pre|DUT_IP=<device-ip>}}
        {{\#tag:pre|scp -r  user@$DUT_IP:}}
3.  Log into the target:
      -

            ssh user@$DUT_IP

**Note** that the tarball may change depending on the release/branch
being tested, please make sure to download the correct tarball for the
release in question. </includeonly>

<noinclude> Use the following wiki code to include this template:

    {{ DownloadTestData | tarball-name | link-to-gitlab-tarball | unpacked-folder/ }}

</noinclude>

<noinclude>

## Result

{{ DownloadTestData | tarball-name | link-to-gitlab-tarball |
unpacked-folder/ }} </noinclude> <noinclude>[Category:QA/Test
case/Template]( {{< ref "/category_qa/test_case/template.md" >}} )</noinclude>