+++
fragment = "content"
date = "2016-03-09"
weight = 100

title = "Template:InstallDependencies"
+++

<includeonly> ==== Install Package Dependencies ====

1.  Ensure Rootfs is remounted as read/write:
      -

            sudo mount -o remount,rw /
2.  Install dependencies:
      -
        {{\#tag:pre | sudo apt install }}
3.  Restart the system to restore the filesystem state to read-only
    before running the test:
      -

            sudo reboot

        </includeonly> \<\!--

\--\><noinclude> Use the following wiki code to include this template:

    {{ InstallDependencies | libbar libfoo }}

The template will add steps to install package from repository. It is a
pre-condition for most test cases as not all needed packages are
installed by default on the system.

## Result

{{ InstallDependencies |libbar libfoo}}</noinclude>
<noinclude>[Category:QA/Test
case/Template]( {{< ref "/category_qa/test_case/template.md" >}} )</noinclude>