+++
fragment = "content"
date = "2017-11-30"
weight = 100

title = "QA Test Cases apparmor-libreoffice"
+++

{{ TestCase | id = apparmor-libreoffice | type = Functional |
execution_type = Automated | target = Any | image = Target | state =
deprecated | lava = Integrated | description=Tests that the libreoffice
profile doesn't cause false negatives and that it does not allow
arbitrary reading of files in the home directory. | preconditions = {{
EnablePackageRepositories |development|target}} {{ InstallDependencies
|apertis-tests-apparmor-libreoffice}} | execution =

1.  Restart apparmor so that the profile gets applied:
      -

            sudo systemctl restart apparmor.service
2.  Run the test script for the normal case:
      -

            sudo /usr/lib/apertis-tests/apparmor-libreoffice/test-libreoffice

| results =

  - Both tests should report `pass` and not `fail`:

` libreoffice.normal.expected: pass`
` libreoffice.malicious.expected: pass`

| notes =

  - The results of the tests printed to the standard output are enough
    to determine whether they passed or fail.
  - If you get a failure and need to report a bug please run `sudo
    watch-aa` on a terminal and run the case that is failing
    (separately, if both), and add the logs you get to the bug report.

}}