+++
fragment = "content"
date = "2017-10-27"
weight = 100

title = "QA Test Cases roller acceleration deceleration"
+++

{{ TestCase | id = roller-acceleration-deceleration | type = Usability |
execution_type = Manual | lava = N/A | image = Any | target = Any |
state = deprecated | description = Usability test for roller
acceleration and deceleration.

  - Scrolling should only start after the pointer has moved a
    configurable (at runtime) threshold, otherwise is considered a click
  - Tap-and-hold should stop the scrolling animation
  - A flick gesture should re-accelerate
  - The scroll animation shouldn't visibly stop when re-accelerating

| execution = Mildenhall Launcher is one of the good applications to
test roller acceleration and deceleration.

  - ;1) To Launch mildenhall-launcher:

Launcher or any application can be launched using mildehall-compositor
or directly.

a. Through compositor,

  -

        $DISPLAY=:0 mildenhall-compositor –-wayland –-nested

b. Or to run launcher directly,

  -

        $./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher

  - ;2) To Launch Frampton directly:

        $cd /usr/Applications/org.apertis.Frampton

        $./bin/frampton app-name org.apertis.Frampton menu-entry “A R T I S T” url “ ”

<!-- end list -->

  - Steps

`  1) Run Mildenhall launcher`
`  2) Scroll left roller and right roller to observe roller accelerating and decelerating.`
`  3) Run Frampton`
`  8) Switch to Thumb view/detail view/list view`
`  6) Scroll roller up and down to observe acceleration and deceleration effect of roller.`

| results =

  - Scrolling should only start after the pointer has moved a
    configurable (at runtime) threshold, otherwise is considered a click
  - Tap-and-hold should stop the scrolling animation
  - A flick gesture should re-accelerate
  - The scroll animation shouldn't visibly stop when re-accelerating

| preconditions =

`Install packages mildenhall-launcher and Frampton`

  -

        $sudo apt-get install mildenhall-launcher Frampton

}} Note: On failure to generate the logs

` 1) $export G_DEBUG_MESSAGES=lightwood-roller`
` 2) Redirect the stderr file discriptor to a log file , for example `
` 3) $./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher 2>log.txt`

![400px|thumb|left|Roller acceleration and
deceleration](/images/accn_decn.gif)