+++
fragment = "content"
date = "2017-10-27"
weight = 100

title = "QA Test Cases roller overshoot"
+++

{{ TestCase | id = roller-overshoot | type = Usability | execution_type
= Manual | lava = N/A | image = Any | target = Any | state = deprecated
| description = Roller overshoot is applicable only when the items in
roller are less. Usability test for roller overshoot.

`1) Elastic effect or bouncing effect when items are less `
`2) When the items are less and roller is pulled up, the last item comes to focus`
`3) When the items are less and roller is pulled down, the first item comes to focus`

| results =

  - Elastic effect or bouncing effect when items are less
  - When the items are less and roller is pulled up, the last item comes
    to focus
  - When the items are less and roller is pulled down, the first item
    comes to focus

| execution = Mildenhall Launcher is one of the good applications to
test overshoot effect.

  - ;1) To Launch mildenhall-launcher

Launcher or any application can be launched using mildehall-compositor
or directly.

a. Through compositor,

  -

        $DISPLAY=:0 mildenhall-compositor –-wayland –-nested

b. Or to run launcher directly,

  -

        $./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher

  - ;2) To Launch Frampton directly

        $cd /usr/Applications/org.apertis.Frampton

        $./bin/frampton app-name org.apertis.Frampton menu-entry “A R T I S T” url “ ”

<!-- end list -->

  - Steps

`  1) Run Mildenhall launcher`
`  2) Pull left roller and right roller to observe overshoot effect`
`  3) Run Frampton`
`  4) switch to thumb view/detail view/list view`
`  5) Pull roller up or down to observe overshoot effect of roller`

| preconditions =

`Install packages mildenhall-launcher and Frampton`

  -

        $sudo apt-get install mildenhall-launcher Frampton

}}

Note: On failure to generate the logs

` 1) $export G_DEBUG_MESSAGES=lightwood-roller`
` 2) Redirect the stderr file discriptor to a log file , for example `
` 3) $./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher 2>log.txt`

![400px|thumb|left|Roller overshoot](/images/overshoot.gif)