+++
fragment = "content"
date = "2018-06-25"
weight = 100

title = "QA Test Cases sdk-vb-fullscreen"
+++

{{ TestCase | id = sdk-vb-fullscreen | type = Compatibility | priotiry =
Critical | execution_type = Manual | target = VirtualBox | image = SDK
| description= Tests that the SDK VM can be fullscreened in
VirtualBox.
Development environment: ensuring that the VirtualBox SDK provides a
seamless experience. | preconditions = {{ InstallSDK }} | execution =

1.  Start the SDK virtual machine
2.  Click "Switch to Fullscreen" from the "View" menu
3.  Open a terminal
4.  Launch a program using GLX under Xephyr:
        Xephyr :1 -host-cursor -screen 800x480x24 -ac &
        DISPLAY=:1 /usr/lib/clutter-1.0/installed-tests/clutter/test-text

| results =

  - The screen is correctly resized when switching to fullscreen
  - `test-text` displays test glyphs inside the Xephyr window.

}}