+++
fragment = "content"
date = "2018-06-25"
weight = 100

title = "QA Test Cases webkit2gtk-drag-and-drop"
+++

{{ TestCase | id = webkit2gtk-drag-and-drop | type = Functional |
priority = Low | execution_type = Manual | target = Any |
description=Test HTML5 drag-and-drop support in WebKit2GTK. | resources=

  - A touch-screen.
  - A mouse.

| preconditions = {{ InstallDependencies |1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Run the test program:
      -

            GtkClutterLauncher file:///usr/share/webkit2gtk/testing/drag.html

| results =

  - Dragging with the mouse the first "Drag me\!" box to the "Drop here"
    box below should copy the dragged item and should not pan the page
  - Dragging with a single touch the first "Drag me\!" box to the "Drop
    here" box below should copy the dragged item and should not pan the
    page
  - Dragging with the mouse any "Drag me\!" box from the main page to
    the "Drop here" box in the subframe below should copy the dragged
    item and should not pan the page
  - Dragging with a single touch any "Drag me\!" box from the main page
    to the "Drop here" box in the subframe below should copy the dragged
    item and should not pan the page
  - Dragging with the mouse any "Drag me\!" box from the subframe to the
    "Drop here" box in the main page below should copy the dragged item
    and should not pan the page
  - Dragging with a single touch any "Drag me\!" box from the subframe
    to the "Drop here" box in the main page below should copy the
    dragged item and should not pan the page
  - Dragging with the mouse the big images under the "Drop here" boxes
    should not initiate dragging but should pan the page
  - Dragging with a single touch the big images under the "Drop here"
    boxes should not initiate dragging but should pan the page
  - Dragging with the mouse in any point outside the "Drag me\!" boxes
    should pan the page
  - Dragging with a single touch in any point outside the "Drag me\!"
    boxes should pan the page

}}